const Sequelize = require('sequelize');
var db = require("../database/db.js");

const TipoCertificacionHabilitante = db.sequelize.define('TIPO_CERTIFICACION_HABILITANTE', {

    ID_TIPO_CERTIFICACION: {
        primaryKey: true,
        type: Sequelize.INTEGER,
        allowNull: false,
        autoIncrement: true
    },

    NOMBRE: {
        type: Sequelize.STRING(200),
        allowNull: false,
    },

    CODIGO: {
        type: Sequelize.STRING(50),
        allowNull: true,
    },

    ESTADO: {
        type: Sequelize.BOOLEAN,
        allowNull: false,
        defaultValue: true
    }

}, {
    timestamps: false,
    id: false
});

module.exports = TipoCertificacionHabilitante;
